%define libxaw7 %mklibname xaw 7
%define libxaw6 %mklibname xaw 6
%define libxawdevel %mklibname xaw -d
%define libxawstaticdevel %mklibname xaw -d -s

Name: libxaw
Summary: X Athena Widgets Library
Version: 1.0.15
Release: %mkrel 1
Group: System/Libraries
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXaw-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxpm-devel >= 3.5.4.2
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.3.0
BuildRequires: groff
Obsoletes: 	%{name} < %version

%description
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.

#-----------------------------------------------------------

%package -n %libxaw7
Group: System/Libraries
Summary: X Athena Widgets Library
Requires: x11-data-bitmaps
Conflicts: libxorg-x11 < 7.0
Provides: libxaw7 = %{version}-%{release}

%description -n %libxaw7
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.


%post -n %libxaw7
/sbin/ldconfig

%postun -n %libxaw7
/sbin/ldconfig

%files -n %libxaw7
%defattr(-,root,root)
%{_libdir}/libXaw.so.7
%{_libdir}/libXaw7.so.7
%{_libdir}/libXaw7.so.7.0.0

#-----------------------------------------------------------
%package -n %libxawdevel
Summary: Development files for %{name}
Group: Development/X11
Requires: %libxaw7 = %{version}-%{release}
Requires: libxmu-devel >= 1.0.0
Requires: libxt-devel >= 1.0.0
Requires: x11-proto-devel >= 1.0.0
Conflicts: libxorg-x11-devel < 7.0
Provides: xaw-devel = %{version}-%{release}
Obsoletes: libxaw-devel < 1.0.3-5
Provides: libxaw-devel = %{version}-%{release}

%description -n %libxawdevel
Development files for %{name}.

%pre -n %libxawdevel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %libxawdevel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*
%{_mandir}/man3/Xaw.3.*

#-----------------------------------------------------------
%package -n %libxawstaticdevel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %libxawdevel = %{version}-%{release}
Provides: xaw-static-devel = %{version}-%{release}
Obsoletes: libxaw-static-devel < 1.0.3-5
Provides: libxaw-static-devel = %{version}-%{release}
Conflicts: libxorg-x11-static-devel < 7.0

%description -n %libxawstaticdevel
Static development files for %{name}.

%files -n %libxawstaticdevel
%defattr(-,root,root)
%{_libdir}/*.a

#-----------------------------------------------------------

%prep
%setup -q -n libXaw-%{version}

%build
%configure2_5x --disable-xaw6 --with-xmlto=no --with-xsltproc=no
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_datadir}/doc


%clean
rm -rf %{buildroot}


%changelog
* Thu Mar 16 2023 tex - 1.0.15-1pclos2023
- new version

* Wed Jan 26 2022 tex - 1.0.14-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 1.0.14-1pclos2021
- new version

* Thu Jun 24 2021 tex - 1.0.13-7pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.0.13-6pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.0.13-5pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 1.0.13-4pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.0.13-3.1pclos2017
- rebuilt

